Skip to main content
POST
/
v2
/
_actions
Create DTMF Action
curl --request POST \
  --url https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_actions \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "action_timing": "<string>",
  "type": "<string>",
  "webhook": {
    "webhook.mandatory": true,
    "webhook.description": "<string>"
  }
}
'
{
  "ctx_id": "<string>",
  "data": {
    "action_id": "<string>",
    "name": "<string>",
    "type": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.contactswing.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
required
Enter your ContactSwing JWT Bearer token.

Request Body

name
string
required
Action display name. Example: DTMF Action
description
string
required
Action purpose. Example: DTMF Action Test
action_timing
string
required
When to trigger: "DURING"
type
string
required
Action type: "DTMF_ACTION"
webhook
object
required
DTMF webhook configuration
webhook.mandatory
boolean
Require DTMF input before proceeding
webhook.description
string
DTMF prompt/description. Example: DTMF Action Test

Response

201 Created - DTMF action created successfully
ctx_id
string
Request context ID
data
object
action_id
string
New DTMF action ID
name
string
Action name
type
string
”DTMF_ACTION”
400 Bad Request - Invalid DTMF webhook configuration 401 Unauthorized - Invalid token